<?php
include("cp_header.php");/**************************************************صفحة عرض ملخص وتفاصيل نتائج الاستبيان*********************************************************************/


//الحماية من الحقن
if(!isset($_GET['id']) || !is_numeric($_GET['id']) ){ die(); };
$poll_title=''; 		//عنوان الاستبيان
$poll_type=''; 			//نوع الاستبيان
$option1='';			//الاختيار1
$option2='';			//الاختيار2
$option3='';			//الاختيار3
$option4='';			//الاختيار4
$option5='';			//الاختيار5
$option1_count=0;		//عدد الاختيار1
$option2_count=0;		//عدد الاختيار2
$option3_count=0;		//عدد الاختيار3
$option4_count=0;		//عدد الاختيار4
$option5_count=0;		//عدد الاختيار5


$num=0;


?>

<!-- /////////// -->
<div style="visibility:hidden" id="table_name"><?php echo $table?></div>
<div id="load_page" style="display:none">load_<?php echo $table?>_search</div>
<input type="hidden" id="active_page" value="active_<?php  echo $table; ?>" />


<!-- /////////// -->
<div id="cp_cont">
<div id="show_user_details"></div>
<div id="cp_title"> <?php echo $_GET['title']; ?>
<a style='background:url(../img/cp_return.png);float:left;margin:10px 0px 5px 10px;color:var(--white);width:20px;height:20px;' href="view_polls_summary.php?search=&type=" ></a> 
<a style='background:url(../img/download.png);width: 85px;height: 35px;float:right;font-size:14px;margin-left:10px;background-repeat: no-repeat;background-position: left center;' class='poll_download'>تحميل</a>
</div>	





<div id="result_limit">

<div id="blogs_cont">
<div id="load_wait"></div>
<div id="result_view">
<?php

//بداية الاستعلام الاجمالى للاستبيان
$query="select polls.id,polls.title,polls.type,count( DISTINCT polls_questions.id) as questions_num,count( DISTINCT polls_users.id) as users_num from polls 
left join polls_questions 
on 
polls.id=polls_questions.poll_id 
left join polls_users 
on
polls.id=polls_users.poll_id
where
 polls.id=$_GET[id] 
group by polls_questions.poll_id; ";



//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
?>
<br>
<div>ملخص الاستبيان</div>
<hr>

<table style='display:none;'><tr></tr><tr><td>ملخص الاستبيان</td></tr><tr></tr></table>


<table cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>

	<td align="center">م</td>
	<td align="center">عنوان الاستبيان</td>
	<td align="center">نوع الاستبيان</td>
	<td align="center">عدد الاسئلة</td>
	<td align="center">عدد المصوتين</td>

</tr>

<tr>
<?php
$ii=0; 

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	$ii++;
	echo"<td><div style='text-align:center;'>$ii</div></td>";
	echo"<td><div style='text-align:center;'>$fetch[title]</div></td>";
	echo"<td><div style='text-align:center;'>$fetch[type]</div></td>";
	echo"<td><div style='text-align:center;'>$fetch[questions_num]</div></td>";
	echo"<td><div style='text-align:center;'>$fetch[users_num]</div></td>";


}?>

</tr>
</table>
<br>
<br>

<div>التصويت حسب السؤال</div>
<hr>

<table style='display:none;'><tr></tr><tr><td>بيانات التصويت حسب السؤال</td></tr><tr></tr></table>

<table  id="surveyTable" cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>

<td  align="center">م</td>
<td  align="center">السؤال</td>
<td  align="center">اختيار1</td>
<td  align="center">اختيار2</td>	
<td  align="center">اختيار3</td>	
<td  align="center">اختيار4</td>
<td  align="center">اختيار5</td>
</tr>	
	
	
<?php

//بداية الاستعلام الخاص بنتائج تصويت كل سؤال
$query=" 
SELECT 
polls_answers.ques_id,
polls_questions.title,
polls_questions.option1,
polls_questions.option2,
polls_questions.option3,
polls_questions.option4,
polls_questions.option5,
polls_answers.answer,
count(polls_answers.answer) as answer_count
 FROM 
 `polls_answers`
 join `polls_questions`
 on
 polls_questions.id=polls_answers.ques_id 
 where 
 polls_questions.poll_id=$_GET[id] 
 group by 
 polls_answers.ques_id ,
 polls_answers.answer 
 order by
 polls_answers.ques_id 


 ";		
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);




$title='';
$i=0;

$option1='';
$option2='';
$option3='';
$option4='';
$option5='';
$ii=0;

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	$ii++;
	
	

	if($title!=$fetch['title']){
		//echo 'dd';
		if($i!=0){
			$l=$i;
			for($xx=0;$xx<=(5-$i);$xx++){
				echo"<td title='".${"option" . $l}."' >0</td>";
				$l++;
			}
		}
		
		$option1=$fetch['option1'];
		$option2=$fetch['option2'];
		$option3=$fetch['option3'];
		$option4=$fetch['option4'];
		$option5=$fetch['option5'];
		
		$title=$fetch['title'];	
		if($i==0){

			$i=1;
			echo"<tr class='table_tr'><td>$ii</td><td>$fetch[title]</td>";
			
			$z=$i;
			for($x=$z;$x<=5;$x++){
				$i++;
				$l=$i-1;
				if($x==$fetch['answer']){
					echo"<td title='".${"option" . $l}."'>$fetch[answer_count]</td>";goto end_loop;
				}else{
					echo"<td title='".${"option" . $l}."' >0</td>";
				}
			}
			
		}else{
			$i=1;
			
			echo"</tr><tr class='table_tr'><td>$ii</td> <td>$fetch[title]</td>";
			
			$z=$i;
			for($x=$z;$x<=5;$x++){
				$i++;
				$l=$i-1;
				if($x==$fetch['answer']){
					echo"<td title='".${"option" . $l}."'>$fetch[answer_count]</td>";goto end_loop;
				}else{
					echo"<td title='".${"option" . $l}."'>0</td>";
				}
			}
		
			
		}
		
	}else{
		$z=$i;
		
		for($x=$z;$x<=5;$x++){
			$i++;
			$l=$i-1;
			if($x==$fetch['answer']){
				echo"<td title='".${"option" . $l}."' >$fetch[answer_count]</td>";goto end_loop;
			}else{
				echo"<td title='".${"option" . $l}."' >0</td>";
			}
		}
		
	}
	end_loop:
}

	if($i!=0){
		$l=$i;
		for($xx=0;$xx<=(5-$i);$xx++){
				echo"<td title='".${"option" . $l}."' >0</td>";
				$l++;
		}
	}
	
?>
</tr>
</table>
<div class='open_chart'>اظهار الرسم البيانى</div>
<?php include "make_charts.php"; ?>

<table><tr></tr><tr></tr></table>

<br>
<div>بيانات المصوتين</div>
<hr>

<table style='display:none;'><tr></tr><tr><td>بيانات المصوتين</td></tr><tr></tr></table>


<?php 

//بداية الاستعلام الخاص ببيانات المصوتين
$query=" 
SELECT polls_users.id,polls_users.user_name,polls_users.gender,polls_users.user_email,mobile from polls_users where poll_id=$_GET[id]
";
		
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
?>

<table cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>
	<td>م</td>
	<td align="center">الاسم</td>
	<td align="center">النوع</td>

	<td align="center">البريد الإلكترونى</td>
	<td align="center">الجوال</td>
	<td align="center">تفاصيل</td>


</tr>


<?php 
$ii=0;

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	$ii++;
	echo"<tr>";
	echo"<td><div style='text-align:center;'>$ii</div></td>";
	echo"<td><div style='text-align:center;'>$fetch[user_name]</div></td>";
	echo"<td><div style='text-align:center;'>"; ?>
	<?php if($fetch['gender']==1){echo 'ذكر';}elseif($fetch['gender']==2){echo 'انثى';} ?>
	<?php echo"</div></td>"; ?>
	<?php
	echo"<td><div style='text-align:center;'>$fetch[user_email]</div></td>";
	echo"<td><div style='text-align:center;'>$fetch[mobile]</div></td>";
	echo"<td align='center'><a alt='$fetch[user_name]' href='view_polls_user_details.php?id=$fetch[id]&poll_id=$_GET[id]&title=$_GET[title]&user=$fetch[user_name]'><img loading='lazy' a src='../img/view.png'></td>";
	echo"</tr>";
}?>


</table>
</div>

<div style='display:none' id='done_load'>done</div>
</div>
</div>	
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<style>
td{text-align:center;}
</style>